#ifndef __PMSERVICE_H__
#define __PMSERVICE_H__

#include "stdio.h"
#include "pm.h"

//*****************************************************************************
//**** defines ****************************************************************
//*****************************************************************************

#ifdef _DEBUG
	//Tracing
	#define DBGTRACE(args) printfToTraceDevice args
#else
	//kein Tracing
	#define DBGTRACE(args)
#endif


//*****************************************************************************
//**** functions **************************************************************
//*****************************************************************************

void WINAPI 
ServiceMain(
	DWORD		argc, 
	TCHAR*		argv[] 
);

//-----------------------------------------------------------------------------

void WINAPI 
ServiceControlHandler(
	DWORD		controlCode
);

//-----------------------------------------------------------------------------

void InstallService(
	void
);

//-----------------------------------------------------------------------------

void UninstallService(
	void
);

//-----------------------------------------------------------------------------

bool MakePreparations(
	void
);

//-----------------------------------------------------------------------------

void CleanUp(
	void
);

//-----------------------------------------------------------------------------

void RunService(
	void
);

//-----------------------------------------------------------------------------

bool ReportStatusToSCMgr(
	DWORD		dwCurrentState,
    DWORD		dwWin32ExitCode,
	DWORD		dwWaitHint
);

//-----------------------------------------------------------------------------

void PrintToMessageLog(
	LPTSTR			lpszMsg
);

//-----------------------------------------------------------------------------

extern void printfToTraceDevice(
	LPSTR		fmt, 
	...
);

#endif //__PMSERVICE_H__