// ============================================================================

// (c) 2001 iav gmbh

// Revision       :  $Revision: 1 $ 
// Projekt        :  $Project: TeleDrive$  
// Ordner         :  $Folder: Win32DLL$ 
// Autor          :  $Author: Bjstichn $  
// Datum          :  $Date: 26.04.02 16:15 $

// ============================================================================

#ifndef _CARAPI_H_
#define _CARAPI_H_

#include "carmsg.h"

typedef void (CARAPI *FNRECVCB)(PVOID, DWORD, DWORD, DWORD, DWORD, PBYTE);


BOOLEAN CARAPI carapiLinkConnect(
	DWORD		*LinkID);
BOOLEAN CARAPI carapiLinkDisconnect(
	DWORD		LinkID);
BOOLEAN CARAPI carapiMsgSendHighPri(
	PBYTE		pMessage);
BOOLEAN CARAPI carapiMsgSend(
	PBYTE		pMessage);
BOOLEAN CARAPI carapiMsgSendLowPri(
	PBYTE		pMessage);
BOOLEAN CARAPI carapiMsgRecv(
	DWORD		LinkID,
	PBYTE		*ppMessage);
BOOLEAN CARAPI carapiMsgWait(
	DWORD		LinkID);
BOOLEAN CARAPI carapiGetVersion(
	DWORD		*carapiMajor,
	DWORD		*carapiMinor,
	PTSTR		pszManufacturer);
BOOLEAN CARAPI carapiInstalled();

BOOLEAN CARAPI carapiRecvRegisterCallback (
	DWORD		*pLinkID,
	PVOID		Context,
	FNRECVCB	fnCallback);
BOOLEAN CARAPI carapiRecvUnregisterCallback (
	DWORD		LinkID);
BOOLEAN CARAPI carapiSendQueueMsgHighPri (
	DWORD		LinkID,
	DWORD		UnitID,
	DWORD		MsgHandle,
	DWORD		Msg,
	PVOID		pParameter);
BOOLEAN CARAPI carapiSendQueueMsg (
	DWORD		LinkID,
	DWORD		UnitID,
	DWORD		MsgHandle,
	DWORD		Msg,
	PVOID		pParameter);
BOOLEAN CARAPI carapiSendQueueMsgLowPri (
	DWORD		LinkID,
	DWORD		UnitID,
	DWORD		MsgHandle,
	DWORD		Msg,
	PVOID		pParameter);

#endif  // _CARAPI_H_

/*==============================================================================
$Log: /Components/CarAPI/Win32DLL/carapi.h $
 * 
 * 1     26.04.02 16:15 Bjstichn
 * initial checkin
==============================================================================*/
