#ifndef __PM_H__
#define __PM_H__

#include "stdio.h"



//*****************************************************************************
//**** defines ****************************************************************
//*****************************************************************************

#ifdef _DEBUG
	//Tracing
	#define DBGTRACE(args) printfToTraceDevice args
#else
	//kein Tracing
	#define DBGTRACE(args)
#endif

#define POWERMODUL  (4)



//*****************************************************************************
//**** functions **************************************************************
//*****************************************************************************

int main(
	int		argc, 
	char*	argv[]
);

//-----------------------------------------------------------------------------

void __stdcall MessageHandler(
	PVOID	a, 
	DWORD	b, 
	DWORD	c, 
	DWORD	d,
	DWORD	e,
	PBYTE	f
);

//-----------------------------------------------------------------------------

bool Connect(
	void
);

//-----------------------------------------------------------------------------

void DisConnect(
	void
);

//-----------------------------------------------------------------------------

bool QueryTerm15(
	void
);

//-----------------------------------------------------------------------------

bool SendPCStartUpMessage(
	void
);

//-----------------------------------------------------------------------------

void SendSwitchOffMessage(
	void
);

//-----------------------------------------------------------------------------

void ShutdownSystem(
	void
);

//-----------------------------------------------------------------------------

void printfToTraceDevice(
	LPSTR	fmt, 
	...
);


#endif //__PM_H__